
#=============================================================================
# Overview of build options:
#
# End of build options
#-----------------------------------------------------------------------------

##trace

# force single job compilation
%define _smp_mflags -j1

%global gitdate          20250712
%global commit           5eed63521781ffc2f0c4bbee7ec9e215b13a1243
%global shortcommit      %(c=%{commit}; echo ${c:0:7})

%global version          20250712
%global release          1

# set this to "1" if building a git/beta/rc release
%global snapshot         1


#=============================================================================
# general
#-----------------------------------------------------------------------------
Name:           winetricks
Version:        %{version}
%if %{snapshot}
#Release:        0.%%{release}.%%{gitdate}.git%%{shortcommit}%%{?dist}
Release:        0.%{release}%{?dist}
%else
Release:        %{release}%{?dist}
%endif
Summary:        Winetricks is an easy way to work around problems in Wine
License:        LGPLv2+
URL:            https://github.com/Winetricks/winetricks
%if 0%{?snapshot}
Source0:        %{url}/archive/%{commit0}.tar.gz#/%{name}-%{version}-git%{shortcommit}.tar.gz
%else
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
%endif
BuildArch:      noarch
# need arch-specific wine, not available everywhere:
# - adopted from wine.spec
ExclusiveArch:  %{ix86} x86_64 aarch64
# - explicitly not ppc64* to hopefully not confuse koschei
ExcludeArch:    ppc64 ppc64le
BuildRequires:  make
BuildRequires:  desktop-file-utils
Requires:       wine-common
Requires:       cabextract gzip unzip wget which
Requires:       hicolor-icon-theme
Requires:       zenity

%description
Winetricks is an easy way to work around problems in Wine.

It has a menu of supported games/apps for which it can do all the workarounds
automatically. It also allows the installation of missing DLLs and tweaking
of various Wine settings.


#=============================================================================
# prep
#-----------------------------------------------------------------------------
%prep
%if 0%{?snapshot}
%setup -qn%{name}
%else
%setup -q
%endif

sed -i -e s:steam:: -e s:flash:: tests/*


#=============================================================================
# build
#-----------------------------------------------------------------------------
%build
# nothing to build


#=============================================================================
# install
#-----------------------------------------------------------------------------
%install
%make_install


#=============================================================================
# check
#-----------------------------------------------------------------------------
%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


#=============================================================================
# files
#-----------------------------------------------------------------------------
%files
%defattr(-,root,root)
%license COPYING debian/copyright
%doc README.md
%attr(0755,root,root)        %{_bindir}/%{name}
%attr(0644,root,root)        %{_mandir}/man1/%{name}.1*
%attr(0644,root,root)        %{_datadir}/applications/%{name}.desktop
%attr(0644,root,root)        %{_datadir}/bash-completion/completions/%{name}
%attr(0644,root,root)        %{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%attr(0644,root,root)        %{_datadir}/metainfo/io.github.winetricks.Winetricks.metainfo.xml


#=============================================================================
# changelog
#-----------------------------------------------------------------------------
%changelog
* Sat Jul 12 2025 Patrick Laimbock <patrick@laimbock.com> - 20250712-0.1
- update to git rev 5eed63521781ffc2f0c4bbee7ec9e215b13a1243

* Sat Jul 05 2025 Patrick Laimbock <patrick@laimbock.com> - 20250705-0.1
- update to git rev 50417b23b5d3e79c6c8fa4d1af69167dfa3de719

* Thu Jun 12 2025 Patrick Laimbock <patrick@laimbock.com> - 20250612-0.1
- update to git rev 9e29aa7e2d8e84880aec741ed92eed35baa742ac

* Mon Mar 17 2025 Patrick Laimbock <patrick@laimbock.com> - 20250207-0.1
- update to git rev e73c4d8f71801fe842c0276b603d9c8024d6d957

* Sat Oct 19 2024 Patrick Laimbock <patrick@laimbock.com> - 20241019-0.1
- update to git rev a06ea8795482d2f49a5461ab5f23e0036e38d12b

* Sat Aug 24 2024 Patrick Laimbock <patrick@laimbock.com> - 20240824-0.1
- update to  git rev 72b934e1e10c041ec6986f5f2fb4f143d8f6b941

* Sun Aug 11 2024 Patrick Laimbock <patrick@laimbock.com> - 20240811-0.1
- update to git rev b66eb9f53943f7d7582b7f3ba7969ce6e5182a32

* Wed Jul 10 2024 Patrick Laimbock <patrick@laimbock.com> - 20240710-0.1
- update to git rev a41ce69ee7b77e717c296e079f53cc2a19035fc7

* Mon Apr 29 2024 Patrick Laimbock <patrick@laimbock.com> - 20240429-0.1
- update to git rev bc2ff55a63ccbf62be8bb163d57e12b7955a2842

* Wed Mar 27 2024 Patrick Laimbock <patrick@laimbock.com> - 20240327-0.1
- update to git rev f87bf9e6a7c67a06487a1ef710c0d9c548ae6f01

* Tue Jan 23 2024 Patrick Laimbock <patrick@laimbock.com> - 20240123-0.1
- update to git rev 46dfa8f5161c10829104fd8d8655db9adf745c73

* Sat Dec 16 2023 Patrick Laimbock <patrick@laimbock.com> - 20231216-0.1
- update to git rev 88643d0577a1fc4ea484e84f2f5a141686f146eb

* Thu Oct 26 2023 Patrick Laimbock <patrick@laimbock.com> - 20231026-0.1
- update to git rev 07c6d38913433c6318c4d5358ea75987b9a419f1

* Sat Jul 01 2023 Patrick Laimbock <patrick@laimbock.com> - 20230701-0.1
- update to git rev a6db60b9d50aae75c7f07d869fd7be5bdb4cfd90

* Sun Jun 11 2023 Patrick Laimbock <patrick@laimbock.com> - 20230611-0.1
- update to git rev e9454179686b3659ad3f47a5d49e6e4e82862cd5

* Sat May 06 2023 Patrick Laimbock <patrick@laimbock.com> - 20230506-0.1
- update to git rev 0d0ea0f0b9324b7127828fbe47903439247df2ff

* Wed Apr 19 2023 Patrick Laimbock <patrick@laimbock.com> - 20230419-0.1
- update to git rev b46dd63e024a166aa38ed8c45d04730eb3276bc1

* Thu Mar 30 2023 Patrick Laimbock <patrick@laimbock.com> - 20230330-0.1
- update to git rev a1d5f91585ca06250307a5abc3fedaec68a5f5b6

* Wed Feb 22 2023 Patrick Laimbock <patrick@laimbock.com> - 20230222-0.1
- update to git rev bfe1523257d3dd4998b39881cc125a6268fcef85

* Thu Jan 19 2023 Patrick Laimbock <patrick@laimbock.com> - 20230119-0.1
- update to git rev d4f4a83dabf0574dc8fbfac0ede47632a1ffd5b7

* Mon Jan 02 2023 Patrick Laimbock <patrick@laimbock.com> - 20230102-0.1
- update to git rev d6a6466493ed3f61a591266a665d3fb34baa6547

* Fri Nov 18 2022 Patrick Laimbock <patrick@laimbock.com> - 20221118-0.1
- update to git rev b73026aa5b090f98c6d5d4d064c1c4c4b62e011a

* Thu Nov 03 2022 Patrick Laimbock <patrick@laimbock.com> - 20221103-0.1
- update to git rev 5478aafee2c586a434ff63b6dea659f23d15a1a2

* Sat Oct 01 2022 Patrick Laimbock <patrick@laimbock.com> - 20221001-0.1
- update to git rev c92d31b253893748e4b91019687363fc9ef93e6f

* Sat Sep 10 2022 Patrick Laimbock <patrick@laimbock.com> - 20220910-0.1
- update to git rev d5bc8a08fe6ed338e4d8d9490d425f1dbea137db

* Sun Aug 28 2022 Patrick Laimbock <patrick@laimbock.com> - 20220828-0.1
- update to git rev 8c32fb78686adaa64a604cd8da2ba21a1b1a8d10

* Sun Aug 14 2022 Patrick Laimbock <patrick@laimbock.com> - 20220814-0.1
- update to git rev 68ca8c31a99ce6262b57bb99f34319ea8a9df30b

* Sat Jul 30 2022 Patrick Laimbock <patrick@laimbock.com> - 20220730-0.1
- update to git rev 2576d361c50d2e0c9ca39e60984fc7e0ad9357f9

* Sat Jul 16 2022 Patrick Laimbock <patrick@laimbock.com> - 20220716-0.1
- update to git rev 6c5549afe578f1cf05ae028430208babe7a11909

* Fri Jul 08 2022 Patrick Laimbock <patrick@laimbock.com> - 20220708-0.1
- update to git rev 7a3f313734fbd50ebb8c92183c54d73094cc0eb2

* Sat May 07 2022 Patrick Laimbock <patrick@laimbock.com> - 20220507-0.1
- update to git rev f7f702f270728dce780773445f0e189645f8a836

* Sat Apr 23 2022 Patrick Laimbock <patrick@laimbock.com> - 20220423-0.1
- update to git rev 9c97d44b9b68a1b09e244e46f9ae0831ab35c315

* Sat Mar 26 2022 Patrick Laimbock <patrick@laimbock.com> - 20220326-0.1
- update to git rev 71b2fb4408f3aeaa1c4b2c8962154064c8f43d52 of 20220326

* Sun Feb 27 2022 Patrick Laimbock <patrick@laimbock.com> - 20220227-0.1
- update to git rev d431b15fa55667217571a791074dc3eb69155dfc

* Sat Jan 01 2022 Patrick Laimbock <patrick@laimbock.com> - 20220101-0.1
- update to git rev b458acf76709c665edc9894d928e7f79932978f4

* Thu Dec 02 2021 Patrick Laimbock <patrick@laimbock.com> - 20211202-0.1
- update to git rev 4340f09f0c17566205dcc74e15211ddac7780148 from 20211202

* Tue Aug 31 2021 Patrick Laimbock <patrick@laimbock.com> - 20210825-1
- update to version 20210825
- based on the koji SRPM

